.navbar.navbar-default.navbar-fixed-top
  .container
    .navbar-header
      button.navbar-toggle(type='button', data-toggle='collapse', data-target='.navbar-collapse')
        span.sr-only Toggle navigation
        span.icon-bar
        span.icon-bar
        span.icon-bar
      a.navbar-brand(href='/', style="color:green;")
        i.fa.fa-cube
        | potweed

    .collapse.navbar-collapse
      ul.nav.navbar-nav
        li(class=(title == 'Home') ? 'active' : undefined)
          a(href='/', style='color:green') Home
        if user
          li(class=(title == 'Messages') ? 'active' : undefined)
            a(href='/msgs', style='color:green') Messages
  
      ul.nav.navbar-nav.navbar-right
        if !user
          li(class=(title == 'Login') ? 'active' : undefined)
            a(href='/login') Login
          li(class=(title == 'Create Account') ? 'active' : undefined)
            a(href='/signup') Create Account
        else
          li.dropdown(class=(title == 'Account Management') ? 'active' : undefined)
            a.dropdown-toggle(data-toggle='dropdown')
              if user.profile.picture
                img(src=user.profile.picture)
              else
                img(src=user.gravatar(60))
              span= user.profile.name || user.email || user.id
              i.caret
            ul.dropdown-menu
              li
                a(href='/account') Profile
              li.divider
              li
                a(href='/logout') Logout
